Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkSettingsElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<C>
                  org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler<R>
                      org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler<Settings>
                          org.semanticweb.owlapi.owllink.parser.OWLlinkSettingsElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<Settings>, OWLlinkResponseElementHandler<Settings>

    public class OWLlinkSettingsElementHandler

extends AbstractOWLlinkKBResponseElementHandler<Settings>
implements OWLlinkResponseElementHandler<Settings>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 22.10.2009

Constructor Summary
`OWLlinkSettingsElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `endElement()`
`Settings` | `getOWLLinkObject()`
`void` | `handleChild(OWLlinkSettingElementHandler handler)`
`void` | `startElement(java.lang.String name)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler
`getRequest`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler
`attribute`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.parser.OWLlinkElementHandler
`handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Constructor Detail

### OWLlinkSettingsElementHandler

    public OWLlinkSettingsElementHandler(OWLXMLParserHandler handler)

Method Detail

### startElement

    public void startElement(java.lang.String name)
                      throws OWLXMLParserException

  Overrides:
    `startElement` in class `AbstractOWLlinkKBResponseElementHandler<Settings>`
  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(OWLlinkSettingElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<Settings>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<Settings>`

### getOWLLinkObject

    public Settings getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<Settings>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<Settings>`

### endElement

    public void endElement()
                    throws OWLXMLParserException

  Overrides:
    `endElement` in class `AbstractOWLlinkResponseElementHandler<Settings>`
  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD